-- Copyright 1999-2012. Parallels IP Holdings GmbH. All Rights Reserved.
-- 8.6.0

ALTER TABLE exp_event
MODIFY COLUMN obj_class ENUM(
	-- Server-related objects
	'license', 'service', 'ip_address',
	'admin_info', 'siteapp', 'session_preferences',
            'plesk_component',
	-- Clients-related objects
	'client', 'client_limits', 'client_status',
	'client_prefs', 'client_perms',
	'client_ip_pool',
	'client_limit_traffic', 'client_limit_size',
	-- Resellers-related objects
	'reseller', 'reseller_limits', 'reseller_status',
	'reseller_prefs', 'reseller_perms',
	'reseller_ip_pool',
	'reseller_limit_traffic', 'reseller_limit_size',
	-- Domains-related objects
	'domain', 'domain_limits', 'domain_user',
	'domain_alias',
	'domain_limit_traffic',  'domain_limit_size',
	'domain_status', 'phosting', 'fhosting',
	'db_server', 'domain_alias',
	'subdomain', 'mailname', 'webuser',
	'maillist', 'dns_zone',
	'mailname_antivirus',
	'mailname_spamfilter',
	'mailname_mailgroup',
	'mailname_autoresponder',
	'mailname_attachment',
	'db', 'db_user',
	-- dashboard preset
	'dashboard_preset',
	'dashboard_preset_type',
	'dashboard_preset_name',
	-- templates
	 'template_domain', 'template_client', 'template_admin', 'template_reseller'
) NOT NULL;